Update webhook subscription
curl --request PATCH \
--url https://openapi.enginy.ai/v1/webhooks/{webhookId} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"name": "<string>",
"url": "<string>",
"secret": "<string>",
"events": [],
"campaignIds": [
123
],
"customFields": [
"<string>"
],
"enabled": true
}
'import requests
url = "https://openapi.enginy.ai/v1/webhooks/{webhookId}"
payload = {
"name": "<string>",
"url": "<string>",
"secret": "<string>",
"events": [],
"campaignIds": [123],
"customFields": ["<string>"],
"enabled": True
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
url: '<string>',
secret: '<string>',
events: [],
campaignIds: [123],
customFields: ['<string>'],
enabled: true
})
};
fetch('https://openapi.enginy.ai/v1/webhooks/{webhookId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"message": "<string>",
"data": {
"id": 123,
"name": "<string>",
"url": "<string>",
"events": [
"<string>"
],
"campaignIds": [
123
],
"customFields": [
"<string>"
],
"enabled": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"hasSecret": true
}
}Webhooks
Update webhook subscription
Update a webhook subscription.
Required scope:
WEBHOOKS_WRITERate limit: 30 requests per minute
PATCH
/
v1
/
webhooks
/
{webhookId}
Update webhook subscription
Authorizations
Path Parameters
Webhook ID
Body
application/json
Descriptive name for the webhook
Required string length:
1 - 255Webhook URL
Webhook secret (null to remove)
Required string length:
8 - 256Array of event types
Minimum array length:
1Available options:
CONNECTION_REQUEST_SENT, CONNECTION_REQUEST_ACCEPTED, LINKEDIN_MESSAGE_SENT, EMAIL_SENT, INMAIL_SENT, MESSAGE_REPLIED, POST_LIKED, PROFILE_VISITED Array of campaign IDs to filter
Additional fields to include. Use GET /v1/contacts/fields (MCP tool get_contact_field_metadata) and GET /v1/companies/fields (MCP tool get_company_field_metadata) to discover valid field names.
Enable or disable webhook
⌘I